import 'package:eitc_erm_dental_flutter/funcs.dart';
import 'package:isar/isar.dart';

part 'local_patient_info.g.dart';

//本地咨询人信息
@collection
class LocalPatientInfo {
  ///ID
  Id id = Isar.autoIncrement;

  ///名字
  String? name;

  ///身份证号
  String? idCard;

  ///关系
  String? relation;

  ///所属用户ID
  String? userId;

  ///名字图片,服务器返回的base64编码图片
  String? namePic;

  //服务器ID
  String? serverId;

  LocalPatientInfo(
      {this.name,
      this.idCard,
      this.relation,
      this.userId,
      this.namePic,
      this.serverId});

  @override
  String toString() {
    return "name=$name,idcard=$idCard,relation=$relation,userId=$userId,serverId=$serverId";
  }

  ///解密的身份证
  String get idCardDecrypt => aesDecrypt(idCard ?? "");
}
